<!-- eslint-disable vue/multi-word-component-names -->
<template>
  <Page>
    <div
      :style="{
        padding: '12px',
        maxWidth: '640px',
        textAlign: 'center',
        margin: '24px auto 0 auto'
      }"
    >
      <ScorpionLogo
        width="72px"
        height="72px"
        class="inline-block m-3"
      />

      <h1 :style="{ color: '#F65D6C' }">
        {{ GLOBALS.APP_NAME }}
      </h1>

      <h2>{{ $t('views.Home.Index.subtitle') | capitalize }}</h2>

      <VButton
        :variant="$app.ui.isTheme({
          'light': 'border-primary',
          'dark': 'border-primary'
        })"
        :to="{
          name: 'components'
        }"
        icon="cube"
        class="mb-4"
        inline
      >
        {{ $t('views.components.index.title') | capitalize }}
      </VButton>

      <!-- "About" modal -->
      <a
        @click="handleClickOnAbout"
        class="flex justify-center gap-2 items-center cursor-pointer"
      >
        <v-icon
          name="question"
          class="fill-current"
        />
        {{ $t('global.about') | capitalize }}
      </a>
    </div>
  </Page>
</template>

<script>
import { Core } from '@hperchec/scorpion-ui'
const RouteComponentMixin = Core.context.vue.mixins.RouteComponentMixin

/**
 * Home page component
 */
export default {
  mixins: [
    RouteComponentMixin
  ],
  data () {
    return {
      versions: {
        'scorpion-ui': Core.version,
        'scorpion-ui-template-default': '1.0.0'
      }
    }
  },
  methods: {
    /**
     * Handle click on "About" link
     * @param {object} event - The click event object
     */
    handleClickOnAbout (event) {
      event.preventDefault()
      event.stopPropagation()
      this.$app.ui.showModal('AboutModal')
    }
  }
}
</script>
